Skip to main content
PATCH
Update a copytrade's config (partial)

Path Parameters

id
string
required
Minimum string length: 1

Body

application/json
leader_address
string
Minimum string length: 4
leader_username
string
status
Available options:
ACTIVE
market_ids_include
string[]
market_ids_exclude
string[]
tags_include
string[]
tags_exclude
string[]
buy_enabled
boolean
buy_order_type
Available options:
MARKET
buy_size_mode
Available options:
PCT_OF_LEADER_TRADE
buy_size_value
number
buy_min_trade_size
number
buy_max_trade_size
number
buy_insufficient_usdc_action
Available options:
BUY_MAX
buy_time_in_force
Available options:
GTC
buy_min_for_percent
boolean
sell_enabled
boolean
sell_order_type
Available options:
MARKET
sell_size_mode
Available options:
PCT_OF_LEADER_TRADE
sell_size_value
number
sell_insufficient_shares_action
Available options:
SELL_MAX
is_simulation
boolean
copy_start_date
string<date-time> | null
copy_end_date
string<date-time> | null
take_profit_levels
object[]
stop_loss_levels
object[]
close_at_price_cents
integer | null
Required range: 1 <= x <= 9999
max_hold_seconds
integer | null
Required range: x >= 1

Response

200 - application/json

Default Response

id
string
required
leader_address
string
required
status
string
required
market_ids_include
string[]
required
market_ids_exclude
string[]
required
tags_include
string[]
required
tags_exclude
string[]
required
buy_enabled
boolean
required
buy_order_type
string
required
buy_size_mode
string
required
buy_size_value
number
required
buy_insufficient_usdc_action
string
required
buy_time_in_force
string
required
sell_enabled
boolean
required
sell_order_type
string
required
sell_size_mode
string
required
sell_insufficient_shares_action
string
required
is_simulation
boolean
required
take_profit_levels
object[]
required
stop_loss_levels
object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
leader_username
string
buy_min_trade_size
number
buy_max_trade_size
number
buy_min_for_percent
boolean
sell_size_value
number
copy_start_date
string<date-time>
copy_end_date
string<date-time>
close_at_price_cents
integer
max_hold_seconds
integer